<StackLayout *ngIf="!showStoreSelect">
    <Label [text]="errorMessage" *ngIf="errorMessage != null" class="error"></Label>
    <GridLayout row="0" rows="auto, auto, auto">
        <Label text="Item Name" row="0" class="label"></Label>
        <TextField hint="Type the item name here..." [(ngModel)]="itemToAdd.name" class="input" row="1"></TextField>
    </GridLayout>
    <GridLayout row="0" rows="auto, auto, auto" columns="auto, auto">
        <Label text="Store to Purchase From" row="0" class="label"></Label>
        <TextField hint="Type the store name here..." [(ngModel)]="current_store_name" class="input" row="1" col="0"></TextField>
        <Image (tap)="OpenStoreSelect()" src="~/app/shared/icons/dropdown.png" class="dropdownBtn" row="1" col="1"></Image>
    </GridLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="AddShoppingItem()" dock="bottom" text="Add Item" class="btn btn-primary"></Button>
    </DockLayout>
    <DockLayout stretchLastChild="true">
        <Button (tap)="RedirectToHome()" dock="bottom" text="Cancel" class="btn"></Button>
    </DockLayout>
</StackLayout>

<AbsoluteLayout class="dialog-wrapper" *ngIf="showStoreSelect">
    <StackLayout class="dialog">
        <Label text="Please choose store" class="label"></Label>
        <ListPicker [items]="storeNameList" [selectedIndex]="selectedStoreInd" (selectedIndexChange)="OnSelectedIndexChanged($event)"></ListPicker>
        <Button (tap)="SaveStoreSelection()" class="btn btn-primary" text="Confirm"></Button>
        <Button (tap)="CloseStoreSelect()" class="btn" text="Cancel"></Button>
    </StackLayout>
</AbsoluteLayout>
